Subject: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Jan 2013 17:53:57 +0200

> Date: Fri, 11 Jan 2013 16:17:04 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >> This needs an up to date display, IIUC :-(
>  >
>  > Yes, but only because the code to do that without looking at the
>  > current glyph matrix was never written.  We do similar things all over
>  > the display engine.
> 
> Could you give writing this sort of "maybe this year" priority?

I cannot promise that, but I will try.  (It is actually a very good
exercise for someone who wants to get to know the display engine,
hint, hint...)

> But I have to calculate the height of the window _before_ redisplay.
> And for knowing the height of the window I have to know the number of
> displayed lines.

Doesn't vertical-motion, pos-visible-in-window-p, and its ilk provide
that already?